Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

What issues have people encountered with older OS's (2000, XP) and olders versions of Microsoft Office (2000, XP, 2003) with the 'Microsoft Office Compatibility Pack'?

I have a couple of Windows 2000 client PC's encountering different errors when attempting to open .docx or .xlsx documents, some with Office XP and the others with Office 2003.

Reading through forums it appears that the different versions of the compatibility pack, not all were compatible with Windows 2000 (versions 3 & 4 are not). There are also Service Packs for the Compatibility Pack. With these Windows 2000 clients, it seems i need the Compatibility Pack version 2, then to install the Service Packs, yet i'm unable to find a link for version 2 of it.

First error message:

"This is a pre-release version of the Compatibilty Pack and can open pre-release Office 2007 files only."

Is solved below.

Second error message:

"The converter failed to open the file."

I have been able to fix with an older version of the Compatibility Pack I was able to source after months of looking online... I am sharing it here for anyone:

(props to TwoJ over at Siginet Software!)

As far as I can tell this is version 1 of the Compatibility Pack, making it compatible with Windows 2000.

http://dl.dropbox.com/u/66653574/FileFormatConverters.exe

I have tested this on 7 Windows 2000 PC's and it is working on all of them! :)

share|improve this question

2 Answers 2

up vote 1 down vote accepted

If you encounter the following error:

"This is a pre-release version of the compatibility pack and can open pre-release Office 2007 files only."

And no matter what you try (ie reinstalling, repairing office & installing newest version) you cannot get rid of it then uninstall it, before running this install for Windows Installer 3.1 (if not already installed) -

http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=25

Aswell as XML parser v6 (if not already installed) -

http://www.microsoft.com/download/en/details.aspx?id=3988

Next step (not Windows 2000) is to install version 3 (i'm still looking for version 2 for Windows 2000) of the Compatibilty Pack -

http://dl.dropbox.com/u/66653574/Compatibility%20Pack/step%203%20win2000%20install%20FileFormatConverters%20v3.exe

Or install the latest version of the Compatibility Pack -

http://www.microsoft.com/download/en/details.aspx?id=3

Followed by the Compatibility Pack Service Pack 1 (possibly not required) -

http://www.microsoft.com/download/en/details.aspx?id=1285

Then Compatibility Pack Service Pack 2 (possibly not required) -

http://www.microsoft.com/download/en/details.aspx?id=12439

And finally Compatibility Pack Service Pack 3 -

http://www.microsoft.com/download/en/details.aspx?id=27836

I'm unsure which service packs (if any) work with Windows 2000, i have a couple of machines to 'fix' with this problem and will update this post accordingly.

Update

All 3 Windows 2000 machines (with Office XP/2002) I have further problems with ("The converter failed to open the file") and I still need Version 2 (or 1) of the Compatibility Pack. But the above steps have fixed the PC with Windows 2000 and Office 2003.

Update 2

I have been able to source an older version of the Office Compatibility Pack! (props to TwoJ over at Siginet Software!)

As far as I can tell this is version 1 of the Compatibility Pack, making it compatible with Windows 2000. Sharing it here for others.

http://dl.dropbox.com/u/66653574/FileFormatConverters.exe

I have tested this on 7 Windows 2000 PC's and it is working on all of them! :)

share|improve this answer
    
HaydnWVN, thanks for this answer! I just tried installing the latest Compatibility Pack on a Windows 2000/Office 2000 machine, and got an "There was an error opening the file" for a DOCX file, and also got an "The converter failed to save the file" for a XLSX file. I'll try installing version 1 later. Is it OK to install any of the Compatibility Pack Service Packs after installing version 1? –  pacoverflow May 21 at 6:44
    
I found your thread on the Technet forum - the Compatibility Service Packs do not work with Windows 2000: social.technet.microsoft.com/Forums/en-US/… –  pacoverflow May 22 at 6:47
    
One more thing for anyone trying to install this on Windows 2000 - I had to uninstall my Visio Viewer 2007 before installing the Compatibility Pack. –  pacoverflow May 23 at 18:42
    
Hi pac, I'm under the impression you can install any of the compatibility packs under 2000, but only through trying to open an .xlsx file (or .docx etc) will you know if the converter is working. I even encountered some strange errors with a 'beta' version of the compatibility pack (and messages about it expiring), but it is not one of the versions listed above. –  HaydnWVN Jun 6 at 7:54

I was able to localize some source links:

Version 1, 12.0.4518.1014: http://download.microsoft.com/download/6/6/7/66720628-eb26-4cfc-8531-deed2ce021b4/FileFormatConverters.exe

Version 2, 12.0.4518.1042 – as above: http://dl.dropbox.com/u/66653574/FileFormatConverters.exe

Version 3, 12.0.6015.5000: http://www.takaro.hu/letoltesek_elemei/elemek/FileFormatConverters.exe

Version 4, 12.0.6500.5000: http://download.microsoft.com/download/e/4/9/e4996d8f-838e-4b75-8685-1e6134762992/FileFormatConverters.exe

share|improve this answer
    
Please edit your post rather than adding new answers. Thanks! –  slhck Feb 19 '13 at 22:01
    
Excellent info and links Leo & Tanner! –  HaydnWVN Feb 21 '13 at 12:22

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.